> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperleap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Prompt run Score

> Update the score parameters for a Prompt run based on User feedback.



## OpenAPI

````yaml patch /prompt-runs/{promptRunId}/set-score
openapi: 3.0.1
info:
  title: api.domain.ai
  version: v1
servers:
  - url: https://api.hyperleapai.com
security:
  - ApiKeyAuth: []
paths:
  /prompt-runs/{promptRunId}/set-score:
    patch:
      tags:
        - Capture Feedback
      summary: Set Prompt run Score
      description: Update the score parameters for a Prompt run based on User feedback.
      parameters:
        - name: promptRunId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePromptRunScoreRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/UpdatePromptRunScoreRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UpdatePromptRunScoreRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    UpdatePromptRunScoreRequest:
      type: object
      properties:
        feedbackId:
          type: string
          format: uuid
        score:
          type: integer
          format: int32
        comments:
          type: string
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        scoreConfidence:
          type: number
          format: double
          nullable: true
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-hl-api-key

````